// Document ready
function removeEmpty(selector) {
    $(selector).each(function(){
        var me=$(this);
        if($.trim(me.text())=='' && $.trim(me.html())=='')
            me.remove();
    });
}
$(function(){
    $("#main-menu").animate({
        right: "0",
        opacity: 1
    }, 1000 );
    
    $(".social-links").delay(500).animate({
        right: "0",
        opacity: 1
    }, 1000 );


    if($("#showing-header-right").length) {
        var div4 = $("#showing-header-right");
        var windowpos = $(window).scrollTop();
        if (windowpos >= (div4.offset().top-$(window).height()+100)) {
            div4.addClass("AfterScroll");
        }
        $(window).scroll(function () {
            var windowpos = $(window).scrollTop();
            if (windowpos >= (div4.offset().top-$(window).height()+100)) {
                div4.addClass("AfterScroll");
            }
        });

    }

    // if($('.prlx-bg').length) {
    //     $('.prlx-bg').each(function(){
    //         var src=$(this).find('.bg-img>img').attr('src');
    //         $(this).attr('data-image-src',src);
    //         $(this).parallax({
    //             imageSrc: src,
    //             speed: 0
    //         });
    //     });
    // }

    if($('.accord').length) {
        var allPanels = $('.accord div.panel');
        allPanels.hide();
        $('.accord article').find('>h2:first').click(function() {
            if($(this).parent('article').hasClass('active'))
            {
                $(this).parent().removeClass('active').find('div.panel').slideUp();
                return;
            }

            allPanels.slideUp();
            $('.accord>article').removeClass('active');
            $(this).parent().addClass('active').find('div.panel').slideDown(1000, function(){
                $(window).trigger('resize').trigger('scroll');
            } );

            return false;
        });
    }

    // $('.news-item').each(function () {
    //     a=$(this).find('a.voir-plus');
    //     title=$(this).find('.news-item-title');
    //     if($.trim(a.text())=='') {
    //         if(title.height()>105) {
    //             title.after('<span class="icon-arrow-down6 item"></span>').css('height','80px');
    //         }
    //     }
    //     else {
    //         if(title.height()>60) {
    //             title.after('<span class="icon-arrow-down6 item"></span>').css('height','40px');
    //         }
    //     }
    // });
    // $('.item').on('click', function(){
    //     a=$(this).parent().find('a.voir-plus');
    //     if($(this).hasClass('icon-arrow-down6'))
    //         $(this).removeClass('icon-arrow-down6').addClass('icon-arrow-up6').prev().css('height', 'auto');
    //
    //     else {
    //         if($.trim(a.text())=='') {
    //             $(this).removeClass('icon-arrow-up6').addClass('icon-arrow-down6').prev().css('height','80px');
    //         }
    //         else {
    //             $(this).removeClass('icon-arrow-up6').addClass('icon-arrow-down6').prev().css('height','40px');
    //         }
    //     }
    // });



});